# initBattleWithEnemyConfig | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function initBattleWithEnemyConfig

- initBattleWithEnemyConfig(partyConfig: EnemyPartyConfig ): Promise<void>

  Generates an enemy party for a mystery encounter battle This will override and replace any standard encounter generation logic Useful for tailoring specific battles to mystery encounters

  #### Parameters

  - partyConfig: EnemyPartyConfig

    Can pass various customizable attributes for the enemy party, see EnemyPartyConfig

  #### Returns Promise<void>

  - Defined in src/data/mystery-encounters/utils/encounter-phase-utils.ts:148